MinyGUI gui;

MinyInteger x, y;
MinyFloat rot;
MinyInteger colorChoice;
MinyBoolean shadow;
MinyString caption;

void mousePressed() { gui.onMousePressed();  }
void keyPressed()   { gui.onKeyPressed();    }

void setup()
{
  size(400, 200);
  x = new MinyInteger(20);
  y = new MinyInteger(30);
  rot = new MinyFloat(50.0);
  colorChoice = new MinyInteger(0);
  shadow = new MinyBoolean(true);
  caption = new MinyString("Hello DYNAMO !");
  
  gui = new MinyGUI(width/2, 0, width/2, height);
  gui.addEditBox("x position", x);
  gui.addDisplay("x position", x);
  gui.addEditBox("y position", y);
  gui.addDisplay("y position", y);
  gui.addSlider("rotation", rot, 0, 360);
  gui.addEditBox("", rot);
  gui.addDisplay("", rot);
  gui.addSlider("color", colorChoice, 0, 3);
  gui.addList("color", colorChoice, "white;red;green;blue");
  gui.addCheckBox("shadow", shadow);
  gui.addEditBox("text", caption);
  gui.addDisplay("", caption);
  gui.addButton("randomize", new ButtonRandomize());
  
  gui.fg = color(255);
  gui.bg = color(96);
  gui.selectColor = color(128);
}

class ButtonRandomize implements ButtonCallback
{
  void onButtonPressed()
  {
    rot.setValue(random(0.0, 360.0));
    x.setValue((int)random(-50, 50));
    y.setValue((int)random(-50, 50));
  }
}

void draw()
{
  background(126);
  
  fill(152); noStroke();
    
  gui.display();
  
  textAlign(CENTER);
  translate(width/4, height/2);
  translate(x.getValue(), y.getValue());
  rotate(radians(-rot.getValue()));
  if(shadow.getValue())
  { fill(128); text(caption.getValue(), 1, 1); }
  
  switch(colorChoice.getValue())
  {
    case 0: fill(255); break;
    case 1: fill(255, 0, 0); break;
    case 2: fill(0, 255, 0); break; 
    case 3: fill(0, 0, 255); break;
  }
  text(caption.getValue(), 0, 0);
}
