PFont f;
int cols, rows; // Number of columns and rows in our system
int rectSize=10; // rectsize
int scaleRect;
color c=255; // color of the rectangles
int sense=3;

void setup() {
  size(640, 480, P2D);
  cols=width/rectSize;
  rows=height/rectSize;

  // fonts
  f = createFont("Monospaced", 14);
  textFont(f);
  textAlign(CENTER, CENTER);
  
  noCursor(); // hide cursor
}


void draw() {
  background(0);

  for (int i=0; i<cols; i++) { // columns
    for (int j=0; j<rows; j++) { //rows
      int x=i*rectSize; // define x position
      int y=j*rectSize; // define y position

      // We want to rotate the selected object
      // rotate() begins from 0,0, the left top corner of the window
      // so we use translate() to move rotation point to the object position
      
      pushMatrix(); // begin the placement
      translate(x+rectSize/2, y+rectSize/2);
      if (mouseX >= x && mouseX <= x+rectSize && mouseY >= y && mouseY <= y+rectSize) {
        c = color(255, 0, 0);
        rotate(QUARTER_PI); // rotates the object
      } 
      else {
        c = 126;
      }
      fill(c); // applies the color
      text("|", 0, 0); // if we are using translate then the position is 0,0, otherwise we add it to the canvas
      popMatrix(); // end of placement
    }
  }
}

