// based on

/**
 * Pointillism
 * by Daniel Shiffman. 
 * 
 * Mouse horizontal location controls size of dots. 
 * Creates a simple pointillist effect using ellipses colored
 * according to pixels in an image. 
 * 
 * PAINT WITH POINTS, LINES, RECTS AND CIRCLES
 * Updated 27 February 2010.
 * modified by Angelos Floros
 */

PImage img;

int smallPoint =5;
int top, left;

void setup() {
  size(200, 200);
  img = loadImage("eames.jpg");
  background(255);
  smooth();
  // center the image on the screen
  left = 0; 
  top = 0; 
}

void draw() { 
  for (int x = 0; x <=img.width; x = x+smallPoint) {
    for (int y = 0; y <= img.height; y = y+smallPoint) {
      color pix = img.get(x, y);
      fill(pix, 128);
      stroke(pix);

      // PAINT METHODS

      // paint image with rects
      // smallPoint must be at least 5 (pixels)
      rect(x+smallPoint/2, y+smallPoint/2, smallPoint, smallPoint); 

      // paint image with ellipse
      // smallPoint must be at least 6 (pixels)
      //ellipse(x+smallPoint/2,y+smallPoint/2, smallPoint, smallPoint); 

      // paint image with lines
      // smallPoint defines the gap
      // line(x,y, x+smallPoint,y);

      // paint image with point
      // smallPoint defines the gap
      // point(x, y);
    }
  }
}

