PFont f;

import processing.video.*;
Capture video;
// Size of each cell in the grid, ratio of window size to video size
int videoScale = 8;

int cols, rows; // Number of columns and rows in our system
int rectSize=10; // rectsize
int scaleRect;
color c=255; // color of the rectangles
int sense=3;

int numPixels;


void setup() {
  size(640, 480, P2D);
  cols=width/rectSize;
  rows=height/rectSize;
  frameRate(30);

  video = new Capture(this, cols, rows, 30);
  video.start();

  // fonts
  f = createFont("ArialMT", 14);
  textFont(f);
  textAlign(CENTER, CENTER);

  // rect
  noStroke();
}


void draw() {
  // Read image from the camera
  if (video.available()) {
    video.read();
  }
  video.loadPixels();
 
  int threshold = 50; // Set the threshold value
  float pixelBrightness; // Declare variable to store a pixel's color
  background(126);
  
  for (int i=0; i<cols; i++) {
    for (int j=0; j<rows; j++) {
      int x=i*rectSize;
      int y=j*rectSize;
      
      pixelBrightness = brightness(video.pixels[i + j*video.width]);
      if (pixelBrightness > threshold) { // If the pixel is brighter than the
        c= 0;
      } 
      else { // Otherwise,
         c=126;
      }
      fill(c);
      text("!", x, y);
    }
  }
}

